Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.boot
Class ServiceDescriptorUtil

    java.lang.Object
      org.jini.rio.boot.ServiceDescriptorUtil

    public class ServiceDescriptorUtil

extends Object

Holds static attributes used during the startup of services and provides utilities to obtain `ServiceDescriptor` instances for Rio services

Constructor Summary
`ServiceDescriptorUtil()`

Method Summary
`static String` | `getAnonymousPort()` Get an anonymous port.
`static ServiceDescriptor` | `getCybernode(String policy, String cybernodeConfig)` Get the `ServiceDescriptor` instance for `Cybernode` using the Webster port created by this utility.
`static ServiceDescriptor` | `getCybernode(String policy, String cybernodeConfig, String[] overrides)` Get the `ServiceDescriptor` instance for `Cybernode` using the Webster port created by this utility.
`static ServiceDescriptor` | `getCybernode(String policy, String cybernodeConfig, String[] overrides, String port)` Get the `ServiceDescriptor` instance for `Cybernode`.
`static ServiceDescriptor` | `getCybernode(String policy, String cybernodeConfig, String[] overrides, String hostAddress, String port)` Get the `ServiceDescriptor` instance for `Cybernode`.
`static ServiceDescriptor` | `getJMXConnector(String policy, String jmxConfig)` Get the `ServiceDescriptor` instance for `JMXConnectorService` using the Webster port created by this utility.
`static ServiceDescriptor` | `getJMXConnector(String policy, String jmxConfig, String port)` Get the `ServiceDescriptor` instance for `JMXConnectorService`.
`static ServiceDescriptor` | `getJMXConnector(String policy, String jmxConfig, String hostAddress, String port)` Get the `ServiceDescriptor` instance for `JMXConnectorService`.
`static ServiceDescriptor` | `getLookup(String policy, String lookupConfig)` Get the `ServiceDescriptor` instance for the Jini Lookup Service (Reggie), using the Webster port created by this utility.
`static ServiceDescriptor` | `getLookup(String policy, String lookupConfig, String[] overrides)` Get the `ServiceDescriptor` instance for the Jini Lookup Service (Reggie), using the Webster port created by this utility.
`static ServiceDescriptor` | `getLookup(String policy, String lookupConfig, String[] overrides, String port)` Get the `ServiceDescriptor` instance for the Jini Lookup Service, Reggie.
`static ServiceDescriptor` | `getLookup(String policy, String lookupConfig, String[] overrides, String hostAddress, String port)` Get the `ServiceDescriptor` instance for the Jini Lookup Service (Reggie), using the Webster port created by this utility.
`static ServiceDescriptor` | `getMonitor(String policy, String monitorConfig)` Get the `ServiceDescriptor` instance for `ProvisionMonitor` using the Webster port created by this utility.
`static ServiceDescriptor` | `getMonitor(String policy, String monitorConfig, String[] overrides)` Get the `ServiceDescriptor` instance for `ProvisionMonitor` using the Webster port created by this utility.
`static ServiceDescriptor` | `getMonitor(String policy, String monitorConfig, String[] overrides, String port)` Get the `ServiceDescriptor` instance for `ProvisionMonitor`.
`static ServiceDescriptor` | `getMonitor(String policy, String monitorConfig, String[] overrides, String hostAddress, String port)` Get the `ServiceDescriptor` instance for `ProvisionMonitor`.
`static ServiceDescriptor` | `getWebster(String policy, String[] roots)` Get the `ServiceDescriptor` instance for `Webster`.
`static ServiceDescriptor` | `getWebster(String policy, String sPort, String[] roots)` Get the `ServiceDescriptor` instance for `Webster`.
`static ServiceDescriptor` | `getWebster(String policy, String sPort, String[] roots, boolean debug)` Get the `ServiceDescriptor` instance for `Webster`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDescriptorUtil

    public ServiceDescriptorUtil()

Method Detail

### getAnonymousPort

    public static String getAnonymousPort()
                                   throws IOException

  Get an anonymous port.

  Returns:
    An anonymous port created by invoking `BootUtil.getAnonymousPort()`. Once this method is called the return value is set statically for future reference
  Throws:
    `IOException` - If there are problems getting the anonymous port

### getWebster

    public static ServiceDescriptor getWebster(String policy,
                                               String[] roots)
                                        throws IOException

  Get the `ServiceDescriptor` instance for `Webster`.

  Parameters:
    `policy` - The security policy file to use
    `roots` - The roots webster should serve
  Returns:
    The `ServiceDescriptor` instance for webster using an anonymous port. The `webster.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getWebster

    public static ServiceDescriptor getWebster(String policy,
                                               String sPort,
                                               String[] roots)
                                        throws IOException

  Get the `ServiceDescriptor` instance for `Webster`.

  Parameters:
    `policy` - The security policy file to use
    `sPort` - The port webster should use
    `roots` - The roots webster should serve
  Returns:
    The `ServiceDescriptor` instance for webster using a specified port. The `webster.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getWebster

    public static ServiceDescriptor getWebster(String policy,
                                               String sPort,
                                               String[] roots,
                                               boolean debug)
                                        throws IOException

  Get the `ServiceDescriptor` instance for `Webster`.

  Parameters:
    `policy` - The security policy file to use
    `sPort` - The port webster should use
    `roots` - The roots webster should serve
    `debug` - If true, set the `org.jini.rio.tools.debug` property
  Returns:
    The `ServiceDescriptor` instance for webster using a specified port. The `webster.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getCybernode

    public static ServiceDescriptor getCybernode(String policy,
                                                 String cybernodeConfig)
                                          throws IOException

  Get the `ServiceDescriptor` instance for `Cybernode` using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `cybernodeConfig` - The configuration file the Cybernode will use
  Returns:
    The `ServiceDescriptor` instance for the Cybernode using an anonymous port. The `cybernode.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getCybernode

    public static ServiceDescriptor getCybernode(String policy,
                                                 String cybernodeConfig,
                                                 String[] overrides)
                                          throws IOException

  Get the `ServiceDescriptor` instance for `Cybernode` using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `cybernodeConfig` - The configuration file the Cybernode will use
    `overrides` - The configuration overrides to use
  Returns:
    The `ServiceDescriptor` instance for the Cybernode using an anonymous port. The `cybernode.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getCybernode

    public static ServiceDescriptor getCybernode(String policy,
                                                 String cybernodeConfig,
                                                 String[] overrides,
                                                 String port)
                                          throws IOException

  Get the `ServiceDescriptor` instance for `Cybernode`.

  Parameters:
    `policy` - The security policy file to use
    `cybernodeConfig` - The configuration file the Cybernode will use
    `overrides` - The configuration overrides to use
    `port` - The port to use when constructing the codebase
  Returns:
    The `ServiceDescriptor` instance for the Cybernode using an anonymous port. The `cybernode.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getCybernode

    public static ServiceDescriptor getCybernode(String policy,
                                                 String cybernodeConfig,
                                                 String[] overrides,
                                                 String hostAddress,
                                                 String port)
                                          throws IOException

  Get the `ServiceDescriptor` instance for `Cybernode`.

  Parameters:
    `policy` - The security policy file to use
    `cybernodeConfig` - The configuration file the Cybernode will use
    `overrides` - The configuration overrides to use
    `hostAddress` - The address to use when constructing the codebase
    `port` - The port to use when constructing the codebase
  Returns:
    The `ServiceDescriptor` instance for the Cybernode using an anonymous port. The `cybernode.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getMonitor

    public static ServiceDescriptor getMonitor(String policy,
                                               String monitorConfig)
                                        throws IOException

  Get the `ServiceDescriptor` instance for `ProvisionMonitor` using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `monitorConfig` - The configuration file the Monitor will use
  Returns:
    The `ServiceDescriptor` instance for the Monitor using an anonymous port. The `monitor.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getMonitor

    public static ServiceDescriptor getMonitor(String policy,
                                               String monitorConfig,
                                               String[] overrides)
                                        throws IOException

  Get the `ServiceDescriptor` instance for `ProvisionMonitor` using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `monitorConfig` - The configuration file the Monitor will use
    `overrides` - The configuration overrides to use
  Returns:
    The `ServiceDescriptor` instance for the Monitor using an anonymous port. The `monitor.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getMonitor

    public static ServiceDescriptor getMonitor(String policy,
                                               String monitorConfig,
                                               String[] overrides,
                                               String port)
                                        throws IOException

  Get the `ServiceDescriptor` instance for `ProvisionMonitor`.

  Parameters:
    `policy` - The security policy file to use
    `monitorConfig` - The configuration file the Monitor will use
    `overrides` - The configuration overrides to use
    `port` - The port to use when constructing the codebase
  Returns:
    The `ServiceDescriptor` instance for the Monitor using an anonymous port. The `monitor.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getMonitor

    public static ServiceDescriptor getMonitor(String policy,
                                               String monitorConfig,
                                               String[] overrides,
                                               String hostAddress,
                                               String port)
                                        throws IOException

  Get the `ServiceDescriptor` instance for `ProvisionMonitor`.

  Parameters:
    `policy` - The security policy file to use
    `monitorConfig` - The configuration file the Monitor will use
    `overrides` - The configuration overrides to use
    `hostAddress` - The address to use when constructing the codebase
    `port` - The port to use when constructing the codebase
  Returns:
    The `ServiceDescriptor` instance for the Monitor using an anonymous port. The `monitor.jar` file will be loaded from `RIO_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `RIO_HOME` system property is not set

### getLookup

    public static ServiceDescriptor getLookup(String policy,
                                              String lookupConfig)
                                       throws IOException

  Get the `ServiceDescriptor` instance for the Jini Lookup Service (Reggie), using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `lookupConfig` - The configuration file Reggie will use
  Returns:
    The `ServiceDescriptor` instance for Reggie using an anonymous port. The `reggie.jar` file will be loaded from `JINI_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `JINI_HOME` system property is not set

### getLookup

    public static ServiceDescriptor getLookup(String policy,
                                              String lookupConfig,
                                              String[] overrides)
                                       throws IOException

  Get the `ServiceDescriptor` instance for the Jini Lookup Service (Reggie), using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `lookupConfig` - The configuration file Reggie will use
    `overrides` - The configuration overrides to use
  Returns:
    The `ServiceDescriptor` instance for Reggie using an anonymous port. The `reggie.jar` file will be loaded from `JINI_HOME/lib`
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `JINI_HOME` system property is not set

### getLookup

    public static ServiceDescriptor getLookup(String policy,
                                              String lookupConfig,
                                              String[] overrides,
                                              String port)
                                       throws IOException

  Get the `ServiceDescriptor` instance for the Jini Lookup Service, Reggie.

  Parameters:
    `policy` - The security policy file to use
    `lookupConfig` - The configuration file Reggie will use
    `overrides` - The configuration overrides to use
    `port` - The port to use when constructing the codebase Reggie using an anonymous port. The `reggie.jar` file will be loaded from `JINI_HOME/lib`
  Returns:
    The `ServiceDescriptor` instance for
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `JINI_HOME` system property is not set

### getLookup

    public static ServiceDescriptor getLookup(String policy,
                                              String lookupConfig,
                                              String[] overrides,
                                              String hostAddress,
                                              String port)
                                       throws IOException

  Get the `ServiceDescriptor` instance for the Jini Lookup Service (Reggie), using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `lookupConfig` - The configuration file Reggie will use
    `overrides` - The configuration overrides to use
    `hostAddress` - The address to use when constructing the codebase
    `port` - The port to use when constructing the codebase Reggie using an anonymous port. The `reggie.jar` file will be loaded from `JINI_HOME/lib`
  Returns:
    The `ServiceDescriptor` instance for
  Throws:
    `IOException` - If there are problems getting the anonymous port
    `RuntimeException` - If the `JINI_HOME` system property is not set

### getJMXConnector

    public static ServiceDescriptor getJMXConnector(String policy,
                                                    String jmxConfig)
                                             throws IOException

  Get the `ServiceDescriptor` instance for `JMXConnectorService` using the Webster port created by this utility.

  Parameters:
    `policy` - The security policy file to use
    `jmxConfig` - The configuration file the JMXConnectorService will use
  Returns:
    The `ServiceDescriptor` instance for the JMXConnectorService using an anonymous port.
  Throws:
    `IOException` - If there are problems getting the anonymous port

### getJMXConnector

    public static ServiceDescriptor getJMXConnector(String policy,
                                                    String jmxConfig,
                                                    String port)
                                             throws IOException

  Get the `ServiceDescriptor` instance for `JMXConnectorService`.

  Parameters:
    `policy` - The security policy file to use
    `jmxConfig` - The configuration file the JMXConnectorService will use
    `port` - The port to use when constructing the codebase
  Returns:
    The `ServiceDescriptor` instance for the JMXConnectorService using an anonymous port.
  Throws:
    `IOException` - If there are problems getting the anonymous port

### getJMXConnector

    public static ServiceDescriptor getJMXConnector(String policy,
                                                    String jmxConfig,
                                                    String hostAddress,
                                                    String port)
                                             throws IOException

  Get the `ServiceDescriptor` instance for `JMXConnectorService`.

  Parameters:
    `policy` - The security policy file to use
    `jmxConfig` - The configuration file the JMXConnectorService will use
    `hostAddress` - The address to use when constructing the codebase
    `port` - The port to use when constructing the codebase
  Returns:
    The `ServiceDescriptor` instance for the JMXConnectorService using an anonymous port.
  Throws:
    `IOException` - If there are problems getting the anonymous port

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.